Index: protocols/yahoo/yahoo.c
===================================================================
--- protocols/yahoo/yahoo.c	(revision 25c4c78e2ddad482dfc9d5a104f76325fcc2f8e5)
+++ protocols/yahoo/yahoo.c	(revision 9216eff1a59e9d4a24b63c16ba4c2cacd051332c)
@@ -778,235 +759,249 @@
 	d->data = data;
 	d->id = id;
-	
+
 	return fd;
 }
 
-char *ext_yahoo_get_ip_addr( const char *domain )
+char *ext_yahoo_get_ip_addr(const char *domain)
 {
 	return NULL;
 }
 
-int ext_yahoo_write( void *fd, char *buf, int len )
-{
-	return write( (long) fd, buf, len );
-}
-
-int ext_yahoo_read( void *fd, char *buf, int len )
-{
-	return read( (long) fd, buf, len );
-}
-
-void ext_yahoo_close( void *fd )
-{
-	close( (long) fd );
-}
-
-void ext_yahoo_got_buddy_change_group( int id, const char *me, const char *who,
-                                       const char *old_group, const char *new_group )
-{
-	struct im_connection *ic = byahoo_get_ic_by_id( id );
-	
-	imcb_add_buddy( ic, who, new_group );
-}
-
-static void byahoo_accept_conf( void *data )
+int ext_yahoo_write(void *fd, char *buf, int len)
+{
+	return write((long) fd, buf, len);
+}
+
+int ext_yahoo_read(void *fd, char *buf, int len)
+{
+	return read((long) fd, buf, len);
+}
+
+void ext_yahoo_close(void *fd)
+{
+	close((long) fd);
+}
+
+void ext_yahoo_got_buddy_change_group(int id, const char *me, const char *who,
+                                      const char *old_group, const char *new_group)
+{
+	struct im_connection *ic = byahoo_get_ic_by_id(id);
+
+	imcb_add_buddy(ic, who, new_group);
+}
+
+static void byahoo_accept_conf(void *data)
 {
 	struct byahoo_conf_invitation *inv = data;
 	struct groupchat *b = NULL;
 	GSList *l;
-	
-	for( l = inv->ic->groupchats; l; l = l->next )
-	{
+
+	for (l = inv->ic->groupchats; l; l = l->next) {
 		b = l->data;
-		if( b == inv->c )
+		if (b == inv->c) {
 			break;
-	}
-	
-	if( b != NULL )
-	{
-		yahoo_conference_logon( inv->yid, NULL, inv->members, inv->name );
-		imcb_chat_add_buddy( inv->c, inv->ic->acc->user );
-	}
-	else
-	{
-		imcb_log( inv->ic, "Duplicate/corrupted invitation to `%s'.", inv->name );
-	}
-	
-	g_free( inv->name );
-	g_free( inv );
-}
-
-static void byahoo_reject_conf( void *data )
+		}
+	}
+
+	if (b != NULL) {
+		yahoo_conference_logon(inv->yid, NULL, inv->members, inv->name);
+		imcb_chat_add_buddy(inv->c, inv->ic->acc->user);
+	} else {
+		imcb_log(inv->ic, "Duplicate/corrupted invitation to `%s'.", inv->name);
+	}
+
+	g_free(inv->name);
+	g_free(inv);
+}
+
+static void byahoo_reject_conf(void *data)
 {
 	struct byahoo_conf_invitation *inv = data;
-	
-	yahoo_conference_decline( inv->yid, NULL, inv->members, inv->name, "User rejected groupchat" );
-	imcb_chat_free( inv->c );
-	g_free( inv->name );
-	g_free( inv );
-}
-
-void ext_yahoo_got_conf_invite( int id, const char *ignored,
-                                const char *who, const char *room, const char *msg, YList *members )
-{
-	struct im_connection *ic = byahoo_get_ic_by_id( id );
+
+	yahoo_conference_decline(inv->yid, NULL, inv->members, inv->name, "User rejected groupchat");
+	imcb_chat_free(inv->c);
+	g_free(inv->name);
+	g_free(inv);
+}
+
+void ext_yahoo_got_conf_invite(int id, const char *ignored,
+                               const char *who, const char *room, const char *msg, YList *members)
+{
+	struct im_connection *ic = byahoo_get_ic_by_id(id);
 	struct byahoo_conf_invitation *inv;
 	char txt[1024];
 	YList *m;
-	
-	if( g_strcasecmp( who, ic->acc->user ) == 0 )
+
+	if (g_strcasecmp(who, ic->acc->user) == 0) {
 		/* WTF, Yahoo! seems to echo these now? */
 		return;
-	
-	inv = g_malloc( sizeof( struct byahoo_conf_invitation ) );
-	memset( inv, 0, sizeof( struct byahoo_conf_invitation ) );
-	inv->name = g_strdup( room );
-	inv->c = imcb_chat_new( ic, (char*) room );
+	}
+
+	inv = g_malloc(sizeof(struct byahoo_conf_invitation));
+	memset(inv, 0, sizeof(struct byahoo_conf_invitation));
+	inv->name = g_strdup(room);
+	inv->c = imcb_chat_new(ic, (char *) room);
 	inv->c->data = members;
 	inv->yid = id;
 	inv->members = members;
 	inv->ic = ic;
-	
-	for( m = members; m; m = m->next )
-		if( g_strcasecmp( m->data, ic->acc->user ) != 0 )
-			imcb_chat_add_buddy( inv->c, m->data );
-	
-	g_snprintf( txt, 1024, "Got an invitation to chatroom %s from %s: %s", room, who, msg );
-	
-	imcb_ask( ic, txt, inv, byahoo_accept_conf, byahoo_reject_conf );
-}
-
-void ext_yahoo_conf_userdecline( int id, const char *ignored, const char *who, const char *room, const char *msg )
-{
-	struct im_connection *ic = byahoo_get_ic_by_id( id );
-	
-	imcb_log( ic, "Invite to chatroom %s rejected by %s: %s", room, who, msg );
-}
-
-void ext_yahoo_conf_userjoin( int id, const char *ignored, const char *who, const char *room )
-{
-	struct im_connection *ic = byahoo_get_ic_by_id( id );
-	struct groupchat *c = bee_chat_by_title( ic->bee, ic, room );
-	
-	if( c )
-		imcb_chat_add_buddy( c, (char*) who );
-}
-
-void ext_yahoo_conf_userleave( int id, const char *ignored, const char *who, const char *room )
-
-{
-	struct im_connection *ic = byahoo_get_ic_by_id( id );
-	struct groupchat *c = bee_chat_by_title( ic->bee, ic, room );
-	
-	if( c )
-		imcb_chat_remove_buddy( c, (char*) who, "" );
-}
-
-void ext_yahoo_conf_message( int id, const char *ignored, const char *who, const char *room, const char *msg, int utf8 )
-{
-	struct im_connection *ic = byahoo_get_ic_by_id( id );
-	char *m = byahoo_strip( msg );
-	struct groupchat *c = bee_chat_by_title( ic->bee, ic, room );
-	
-	if( c )
-		imcb_chat_msg( c, (char*) who, (char*) m, 0, 0 );
-	g_free( m );
-}
-
-void ext_yahoo_chat_cat_xml( int id, const char *xml )
-{
-}
-
-void ext_yahoo_chat_join( int id, const char *who, const char *room, const char *topic, YList *members, void *fd )
-{
-}
-
-void ext_yahoo_chat_userjoin( int id, const char *me, const char *room, struct yahoo_chat_member *who )
+
+	for (m = members; m; m = m->next) {
+		if (g_strcasecmp(m->data, ic->acc->user) != 0) {
+			imcb_chat_add_buddy(inv->c, m->data);
+		}
+	}
+
+	g_snprintf(txt, 1024, "Got an invitation to chatroom %s from %s: %s", room, who, msg);
+
+	imcb_ask(ic, txt, inv, byahoo_accept_conf, byahoo_reject_conf);
+}
+
+void ext_yahoo_conf_userdecline(int id, const char *ignored, const char *who, const char *room, const char *msg)
+{
+	struct im_connection *ic = byahoo_get_ic_by_id(id);
+
+	imcb_log(ic, "Invite to chatroom %s rejected by %s: %s", room, who, msg);
+}
+
+void ext_yahoo_conf_userjoin(int id, const char *ignored, const char *who, const char *room)
+{
+	struct im_connection *ic = byahoo_get_ic_by_id(id);
+	struct groupchat *c = bee_chat_by_title(ic->bee, ic, room);
+
+	if (c) {
+		imcb_chat_add_buddy(c, (char *) who);
+	}
+}
+
+void ext_yahoo_conf_userleave(int id, const char *ignored, const char *who, const char *room)
+
+{
+	struct im_connection *ic = byahoo_get_ic_by_id(id);
+	struct groupchat *c = bee_chat_by_title(ic->bee, ic, room);
+
+	if (c) {
+		imcb_chat_remove_buddy(c, (char *) who, "");
+	}
+}
+
+void ext_yahoo_conf_message(int id, const char *ignored, const char *who, const char *room, const char *msg, int utf8)
+{
+	struct im_connection *ic = byahoo_get_ic_by_id(id);
+	char *m = byahoo_strip(msg);
+	struct groupchat *c = bee_chat_by_title(ic->bee, ic, room);
+
+	if (c) {
+		imcb_chat_msg(c, (char *) who, (char *) m, 0, 0);
+	}
+	g_free(m);
+}
+
+void ext_yahoo_chat_cat_xml(int id, const char *xml)
+{
+}
+
+void ext_yahoo_chat_join(int id, const char *who, const char *room, const char *topic, YList *members, void *fd)
+{
+}
+
+void ext_yahoo_chat_userjoin(int id, const char *me, const char *room, struct yahoo_chat_member *who)
 {
 	free(who->id);
 	free(who->alias);
 	free(who->location);
-        free(who);
-}
-
-void ext_yahoo_chat_userleave( int id, const char *me, const char *room, const char *who )
-{
-}
-
-void ext_yahoo_chat_message( int id, const char *me, const char *who, const char *room, const char *msg, int msgtype, int utf8 )
-{
-}
-
-void ext_yahoo_chat_yahoologout( int id, const char *me )
-{
-}
-
-void ext_yahoo_chat_yahooerror( int id, const char *me )
-{
-}
-
-void ext_yahoo_contact_added( int id, const char *myid, const char *who, const char *msg )
-{
-	struct im_connection *ic = byahoo_get_ic_by_id( id );
-	
-	imcb_ask_auth( ic, who, msg );
-}
-
-void ext_yahoo_rejected( int id, const char *who, const char *msg )
-{
-}
-
-void ext_yahoo_game_notify( int id, const char *me, const char *who, int stat, const char *msg )
-{
-}
-
-void ext_yahoo_mail_notify( int id, const char *from, const char *subj, int cnt )
-{
-	struct im_connection *ic = byahoo_get_ic_by_id( id );
-	
-	if( !set_getbool( &ic->acc->set, "mail_notifications" ) )
+	free(who);
+}
+
+void ext_yahoo_chat_userleave(int id, const char *me, const char *room, const char *who)
+{
+}
+
+void ext_yahoo_chat_message(int id, const char *me, const char *who, const char *room, const char *msg, int msgtype,
+                            int utf8)
+{
+}
+
+void ext_yahoo_chat_yahoologout(int id, const char *me)
+{
+}
+
+void ext_yahoo_chat_yahooerror(int id, const char *me)
+{
+}
+
+void ext_yahoo_contact_added(int id, const char *myid, const char *who, const char *msg)
+{
+	struct im_connection *ic = byahoo_get_ic_by_id(id);
+
+	imcb_ask_auth(ic, who, msg);
+}
+
+void ext_yahoo_rejected(int id, const char *who, const char *msg)
+{
+}
+
+void ext_yahoo_game_notify(int id, const char *me, const char *who, int stat, const char *msg)
+{
+}
+
+void ext_yahoo_mail_notify(int id, const char *from, const char *subj, int cnt)
+{
+	struct im_connection *ic = byahoo_get_ic_by_id(id);
+
+	if (!set_getbool(&ic->acc->set, "mail_notifications")) {
 		; /* The user doesn't care. */
-	else if( from && subj )
-		imcb_log( ic, "Received e-mail message from %s with subject `%s'", from, subj );
-	else if( cnt > 0 )
-		imcb_log( ic, "Received %d new e-mails", cnt );
-}
-
-void ext_yahoo_webcam_invite_reply( int id, const char *me, const char *from, int accept )
-{
-}
-
-void ext_yahoo_webcam_closed( int id, const char *who, int reason )
-{
-}
-
-void ext_yahoo_got_search_result( int id, int found, int start, int total, YList *contacts )
-{
-}
-
-void ext_yahoo_webcam_viewer( int id, const char *who, int connect )
-{
-}
-
-void ext_yahoo_webcam_data_request( int id, int send )
-{
-}
-
-int ext_yahoo_log( const char *fmt, ... )
-{
-	return( 0 );
-}
-
-void ext_yahoo_got_webcam_image( int id, const char * who, const unsigned char *image, unsigned int image_size, unsigned int real_size, unsigned int timestamp )
-{
-}
-
-void ext_yahoo_got_ping( int id, const char *msg )
-{
-}
-
-void ext_yahoo_got_buddyicon (int id, const char *me, const char *who, const char *url, int checksum) {}
-void ext_yahoo_got_buddyicon_checksum (int id, const char *me,const char *who, int checksum) {}
-
-void ext_yahoo_got_buddyicon_request(int id, const char *me, const char *who){}
-void ext_yahoo_buddyicon_uploaded(int id, const char *url){}
+	} else if (from && subj) {
+		imcb_log(ic, "Received e-mail message from %s with subject `%s'", from, subj);
+	} else if (cnt > 0) {
+		imcb_log(ic, "Received %d new e-mails", cnt);
+	}
+}
+
+void ext_yahoo_webcam_invite_reply(int id, const char *me, const char *from, int accept)
+{
+}
+
+void ext_yahoo_webcam_closed(int id, const char *who, int reason)
+{
+}
+
+void ext_yahoo_got_search_result(int id, int found, int start, int total, YList *contacts)
+{
+}
+
+void ext_yahoo_webcam_viewer(int id, const char *who, int connect)
+{
+}
+
+void ext_yahoo_webcam_data_request(int id, int send)
+{
+}
+
+int ext_yahoo_log(const char *fmt, ...)
+{
+	return(0);
+}
+
+void ext_yahoo_got_webcam_image(int id, const char * who, const unsigned char *image, unsigned int image_size,
+                                unsigned int real_size, unsigned int timestamp)
+{
+}
+
+void ext_yahoo_got_ping(int id, const char *msg)
+{
+}
+
+void ext_yahoo_got_buddyicon(int id, const char *me, const char *who, const char *url, int checksum)
+{
+}
+void ext_yahoo_got_buddyicon_checksum(int id, const char *me, const char *who, int checksum)
+{
+}
+
+void ext_yahoo_got_buddyicon_request(int id, const char *me, const char *who)
+{
+}
+void ext_yahoo_buddyicon_uploaded(int id, const char *url)
+{
+}
